from django.db import models

class Artist(models.Model):
    artist_name = models.CharField(max_length=100,unique=True,default="")
    birth_name = models.CharField(max_length=100,unique=True,default="")
    bio = models.TextField(max_length=700,default="")
    monthly_listeners = models.IntegerField(default=0)

    def __str__(self):
        return 'Added Artist: {}'.format(self.artist_name)

class Album(models.Model):
    album_name = models.CharField(max_length=100,default="")
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.TextField(max_length=700,default="")
    release_date = models.DateField()
    label = models.CharField(max_length=100,default="")
    song_count = models.IntegerField(default=0)

    
    def __str__(self):
        return 'Added Album: {}'.format(self.album_name)

class Song(models.Model):
    song_title = models.CharField(max_length=100,default="")
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.ForeignKey(Album, on_delete=models.CASCADE)
    song_length = models.IntegerField(default=0)
    music_video = models.BooleanField(default=False)
    lyrics = models.TextField(default="")

    
    def __str__(self):
        return 'Added Song: {}'.format(self.song_title)
